Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Telephony

Get an agent telephony binding

GET /agents/{agent_name}/telephony/bindings/{binding_id}

Retrieves a telephony binding owned by the voice agent named in the path.

Header parameters

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

VoiceAgents=V1Preview

Path parameters

agent_name string required

The name of the voice agent that owns the binding.

binding_id string required

The service-generated binding identifier.

Query parameters

api-version string required

The API version to use for this operation.

Responses

The request has succeeded.

Headers

ETag string required

The entity tag to send in the If-Match header when updating or deleting the binding.

Body

Content-Type: application/json
One of the following:
teams_phone_extension TeamsPhoneExtensionTelephonyBinding

A Microsoft Teams Phone Extension binding owned by a voice agent.

provider enum required

The Microsoft Teams Phone Extension provider.

teams_phone_extension
phone_number string

The optional display phone number for the Teams resource account.

resource_account_object_id string required

Universally Unique Identifier

twilio TwilioTelephonyBinding

A Twilio binding owned by a voice agent.

provider enum required

The Twilio provider.

twilio
phone_number string required

The Twilio E.164 phone number.

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

GET /agents/{agent_name}/telephony/bindings/{binding_id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026